VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Related Functions

- a
- b
- c
- d
- e
- f
- g
- h
- i
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- z
- ~

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends Groups Pages

### - a -

- activate() : IWindow
- add() : CDropSource , DispatchList< T > , ViewCreatorRegistry , Group , DispatchList< T > , CInvalidRectList , Modifiers , MouseEventButtonState
- addAnimation() : Animator , CView
- addArc() : CGraphicsPath , CKnob
- addBezierCurve() : CGraphicsPath
- addBitmap() : CBitmap
- addColorStop() : CGradient
- addControl() : ParameterChangeListener
- addCreateViewControllerFunc() : Customization
- addDefaultNodes() : UIDescription
- addEllipse() : CGraphicsPath
- addEntry() : COptionMenu
- addFileExtension() : CNewFileSelector
- addLine() : CGraphicsPath
- addNewTemplate() : UIDescription
- addPath() : CGraphicsPath
- addPoint() : InterpolationTimingFunction
- addRect() : CFrame::CollectInvalidRects , CGraphicsPath
- addRoundRect() : CGraphicsPath
- addSegment() : CSegmentButton
- addSeparator() : COptionMenu
- addTab() : CTabView
- addValue() : ModelBindingCallbacks
- addView() : CAutoLayoutContainerView , CScrollView , CSplitView , CViewContainer
- addViewToSeparator() : CSplitView
- advanceNextFocusView() : CFrame , CViewContainer
- AEffGUIEditor() : AEffGUIEditor
- afterPopup() : COptionMenu
- aliasing() : CDrawMode
- alignTabs() : CTabView
- allocate() : MallocAllocator , Buffer< T, Allocator >
- AlphaValueAnimation() : AlphaValueAnimation
- animationFinished() : IAnimationTarget , AlphaValueAnimation , ViewSizeAnimation , ExchangeViewAnimation , ControlValueAnimation
- AnimationSplashScreenCreator() : AnimationSplashScreenCreator
- animationStart() : AlphaValueAnimation , ViewSizeAnimation , ExchangeViewAnimation , ControlValueAnimation , IAnimationTarget
- animationTick() : AlphaValueAnimation , ViewSizeAnimation , ExchangeViewAnimation , ControlValueAnimation , IAnimationTarget
- AnimKnobCreator() : AnimKnobCreator
- antiAliasing() : CDrawMode
- appendContextMenuItems() : IContextMenuController2 , IContextMenuController
- apply() : ControlCreator , SegmentButtonCreator , ViewContainerCreator , ViewCreator , UIViewSwitchContainerCreator , SwitchBaseCreator , IViewCreator , ViewCreatorAdapter , AnimationSplashScreenCreator , AutoAnimationCreator , CheckBoxCreator , ParamDisplayCreator , TextLabelCreator , TextEditCreator , SliderBaseCreator , SliderCreator , KnobBaseCreator , KnobCreator , LayeredViewContainerCreator , MultiBitmapControlCreator , MultiLineTextLabelCreator , SplitViewCreator , RowColumnViewCreator , ScrollViewCreator , SearchTextEditCreator , ShadowViewContainerCreator , StringListControlCreator , TextButtonCreator , OptionMenuCreator , AnimKnobCreator , VuMeterCreator , XYPadCreator , IMultiBitmapControlCreator , GradientViewCreator
- applyAttributeValues() : IViewFactory , UIViewFactory
- applyCustomViewAttributeValues() : IViewFactory , UIViewFactory
- assign() : UTF8String
- asViewContainer() : CViewContainer , CView
- attach() : CExternalViewBaseImpl , IView , ViewAdapter
- attached() : COpenGLView , UIViewSwitchContainer , CSegmentButton , CDataBrowser , CAutoAnimation , CAutoLayoutContainerView , CFrame , CViewContainer , CExternalView , CView , CShadowViewContainer , CExternalControl , CListControl , CLayeredViewContainer , CSplitView , CFontChooser
- attributeChanged() : CGradientView
- AutoAnimationCreator() : AutoAnimationCreator
- autoComputeHeightOfOneImage() : IMultiBitmapControl